<?php 

function biz_social_badge_component( $atts, $content= null ) {
	$settings = shortcode_atts( array(
		'badges_platform' 	=> '',
		'name'				=> '',
		'img' 	 	 		=> '',
		'rating' 			=> '',
		'totalreview' 		=> '',
		'reviewurl' 		=> ''
	), $atts ) ;
	
		
	ob_start();


	?>

	<div class="badges-wrapper">
        <div class="badges-inner">
            <div class="title-img">
                <?php
                    //
                    if( ! empty( $settings['img'] ) ) {
                       echo  wp_get_attachment_image( $settings['img'], 'full',array( 'class' => 'badges-img' ) );
                    }
                    // Title
                    if( ! empty( $settings['name'] ) ) {
                        echo '<h3>'.esc_html( $settings['name'] ).'</h3>';
                    }
                ?>
            </div>
            <div class="rating <?php echo esc_attr( $settings['badges_platform'] ) ?>">
                <?php 
                //
                if( ! empty( $settings['rating'] ) ) {
                    $ratings = $settings['rating'];
                    echo '<span>'.esc_html( $ratings ).'</span>';
                    echo '<span>'.bizreview_star_review( esc_html( $ratings ) ).'</span>';
                }
                //

                ?>
            </div>
            <div class="badges-footer">
                <?php
                //
                if( ! empty( $settings['totalreview'] ) ) {
                    echo '<span>'.sprintf( esc_html__( 'Based on %s reviews', 'bizreview' ), esc_html( $settings['totalreview'] ) ).'</span>';
                } 
                //
                if( ! empty( $settings['reviewurl'] ) ) {
                    echo '<span><a href="'.esc_url( $settings['reviewurl'] ).'" target="_blank">'.esc_html__( 'View Reviews', 'bizreview' ).'</a></span>';
                }
                ?>
            </div>
        </div>
    </div>

	<?php

	$html = ob_get_clean();
	return $html;
  
}


?>